#!/usr/bin/make -f

export PYBUILD_NAME=flask-babel

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build_sphinx

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args='cd tests && PYTHONPATH={destdir}{install_dir} {interpreter} tests.py'
endif
